﻿@font-face {
    font-family: "heroicons";
    src: url("../fonts/icomoon.ttf") format("truetype"), url("../fonts/icomoon.woff") format("woff");
    /* url("../fonts/icomoon.svg") format("svg"); */
    font-weight: normal;
    font-style: normal;
    font-display: block;
}

[class^="hero"],
[class*=" hero"] {
    /* use !important to prevent issues with browser extensions that change fonts */
    font-family: "heroicons" !important;
    speak: never;
    font-style: normal;
    font-weight: normal;
    font-variant: normal;
    text-transform: none;
    line-height: 1;
    /* Better Font Rendering =========== */
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}

.heroswords:before {
    content: "\e900";
}

.heroinfinite:before {
    content: "\e901";
}

.heroteacher:before {
    content: "\e902";
}

.herostudent:before {
    content: "\e903";
}

.herologout:before {
    content: "\e908";
}

.icon-seaShell:before {
    content: "\e904";
    font-family: "heroicons";
    font-size: 23px;
}

.validation-error {
    color: red;
}

.add-pointer {
    cursor: pointer;
}

/* Loader CSS START */
.folding {
    margin: 20px auto;
    width: 40px;
    height: 40px;
    position: relative;
    transform: rotateZ(45deg);
}

    .folding .sk-cube {
        float: left;
        width: 50%;
        height: 50%;
        position: relative;
        transform: scale(1.1);
    }

        .folding .sk-cube:before {
            content: "";
            position: absolute;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            background-color: #00a8f1;
            animation: sk-foldCubeAngle 2.4s infinite linear both;
            transform-origin: 100% 100%;
        }

    .folding .sk-cube2 {
        transform: scale(1.1) rotateZ(90deg);
    }

    .folding .sk-cube3 {
        transform: scale(1.1) rotateZ(180deg);
    }

    .folding .sk-cube4 {
        transform: scale(1.1) rotateZ(270deg);
    }

    .folding .sk-cube2:before {
        animation-delay: 0.3s;
    }

    .folding .sk-cube3:before {
        animation-delay: 0.6s;
    }

    .folding .sk-cube4:before {
        animation-delay: 0.9s;
    }

@keyframes sk-foldCubeAngle {
    0%, 10% {
        transform: perspective(140px) rotateX(-180deg);
        opacity: 0;
    }

    25%, 75% {
        transform: perspective(140px) rotateX(0deg);
        opacity: 1;
    }

    90%, 100% {
        transform: perspective(140px) rotateY(180deg);
        opacity: 0;
    }
}

.overlay {
    position: fixed;
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    background: rgba(238, 234, 234, 0.67);
    left: 0;
    top: 0;
    z-index: 9999;
}

.validation-error {
    color: red;
    font-size: 12px;
}

/* Loader CSS END */

/* login page */
.pageTitle {
    font-size: 24px;
    color: #212529;
    position: absolute;
    right: 15px;
    top: 38px;
    text-align: right;
    display: inline;
}

.login {
    padding-top: 100px;
}

.loginLogo img.logo {
    width: 250px;
    height: inherit;
}

.loginSelectInner .login-tab .tab-content {
    background: transparent;
}

.loginSelectInner .tab-content > .row {
    background: transparent;
    width: 650px;
}

.loginFooter a {
    text-decoration: underline;
}

.loginSelectInner .tabs {
    width: inherit;
    position: static;
    transform: inherit;
}

.loginSelectInner .tabnav {
    width: 400px;
    margin: 0 auto;
}

.loginRightSection .group {
    position: relative;
    margin: 20px 0;
}

.loginRightSection textarea {
    resize: none;
}

.loginRightSection .wrapper .group:first-child {
    margin-top: 20px;
}

.loginSelect {
    z-index: 2;
}

.login-tab .tabnav .tab.teacherBox.active {
    background: #fff;
}

.login-tab .tabnav .tab.teacherBox {
    background: #fff;
    color: #333;
}

.login-tab .tabnav .tab.studentBox.active,
.login-tab .tabnav .tab.studentBox {
    background: #9bd1ff;
    color: #333;
}

.loginSelect .loginSelectInner .login-tab .tabnav .tab {
    border-radius: 5px;
    margin: 0 8px;
    font-weight: 500;
    color: #525252;
    font-size: 22px;
}

.loginSelectInner ul.nav li a i {
    font-size: 28px;
}
/* select starting stylings in login page ------------------------------*/

.loginRightSection .select-text {
    position: relative;
    font-family: inherit;
    background-color: transparent;
    width: 100%;
    font-size: 16px;
    border-radius: 0;
    border: none;
    color: #333;
}

.loginRightSection span.css-1okebmr-indicatorSeparator {
    display: none;
}

.loginSelectInner ul.nav {
    padding-left: 20px;
}

.loginSelectInner .tab-content {
    background: #fff;
    margin-top: -31px;
    padding-top: 30px;
    box-shadow: 1px 3px 14px 0px #ddd;
    min-height: 439px;
    border-radius: 5px;
}
/* Remove focus */
.loginRightSection .select-text:focus {
    outline: none;
    border-bottom: 1px solid rgba(0, 0, 0, 0);
}

.loginSelectInner ul.nav li {
    margin-right: 20px;
}

    .loginSelectInner ul.nav li svg,
    .loginSelectInner ul.nav li img {
        width: 30px;
    }

    .loginSelectInner ul.nav li a {
        background: #fff;
        height: 60px;
        border-radius: 5px;
        box-shadow: 1px 3px 14px 0px #ddd;
        display: flex;
        align-items: center;
        justify-content: center;
        padding: 0 15px;
    }
/* Use custom arrow */
.loginRightSection .select .select-text {
    appearance: none;
    -webkit-appearance: none;
}

/* LABEL ======================================= */
.loginRightSection .select-label {
    color: #333;
    font-size: 16px;
    font-weight: normal;
    position: absolute;
    pointer-events: none;
    left: 0;
    top: 10px;
    transition: 0.2s ease all;
}

.loginLogo {
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    -webkit-transform: translateX(-50%);
    -moz-transform: translateX(-50%);
    top: -180px;
}

.loginContainer {
    padding: 40px 20px 0px;
}

.loginSelectInner {
    border-radius: 5px;
    box-shadow: 0px 4px 5px #242424;
    background: #f4f6f8;
    padding: 80px 10px 10px;
}

.loginRightSection input,
.loginRightSection textarea {
    padding: 10px;
    display: block;
    width: 100%;
    border: 1px solid #ddd;
    border-radius: 5px;
    font-size: 16px;
}

.loginRightSection .group > input,
.loginRightSection .group .PassShow input {
    height: 38px;
}

.loginRightSection .css-1s2u09g-control,
.loginRightSection .css-1pahdxg-control {
    height: 46px;
}

    .loginRightSection .css-1pahdxg-control:hover {
        box-shadow: none;
    }

.loginFooter button.btn.btn-primary {
    min-width: 130px;
}

.loginRightSection form {
    z-index: 3;
}

.row.loginFooter a {
    color: #333;
    text-decoration: underline;
}
/* tab login */

.loginSelectInner {
    max-width: 900px;
    margin: 0 auto;
}

    .loginSelectInner ul.nav li a:hover,
    .loginSelectInner ul.nav li a:focus {
        text-decoration: none;
    }

    .loginSelectInner ul.nav li a {
        color: #333;
    }

        .loginSelectInner ul.nav li a.active {
            background-color: #007bff;
            color: #fff;
        }

            .loginSelectInner ul.nav li a.active svg {
                fill: #fff;
            }

    .loginSelectInner ul.nav li.teacher svg {
        width: 37px;
    }

    .loginSelectInner ul.nav li a.active svg {
        fill: #fff;
    }

    .loginSelectInner ul.nav li.teacher .white-icon {
        position: absolute;
        left: 16px;
        top: 15px;
        opacity: 0;
    }

    .loginSelectInner ul.nav li.teacher a.active .black-icon {
        opacity: 0;
    }

    .loginSelectInner ul.nav li.teacher a.active .white-icon {
        opacity: 1;
    }
/* end login page */
body .sec-heading > div {
    position: relative;
    z-index: 3;
}

/*loader animation*/
.box {
    width: 20px;
    height: 20px;
    background-color: #007bff;
    animation: example 2s infinite;
    animation-duration: 4s;
    position: relative;
    transition: 0.5s linear all;
    border-radius: 50%;
    -webkit-animation-delay: 1s;
    transform: scale(0);
    border: 1px solid #fff;
}

.box1 {
    width: 20px;
    height: 20px;
    background-color: #007bff;
    animation: example1 2s infinite;
    animation-duration: 4s;
    position: relative;
    transition: 0.5s linear all;
    border-radius: 50%;
    -webkit-animation-delay: 2s;
    transform: scale(0);
    border: 1px solid #fff;
}

.box2 {
    width: 20px;
    height: 20px;
    background-color: #007bff;
    animation: example2 2s infinite;
    animation-duration: 4s;
    position: relative;
    transition: 0.5s linear all;
    border-radius: 50%;
    -webkit-animation-delay: 3s;
    transform: scale(0);
    border: 1px solid #fff;
}

.overlay {
    position: fixed;
    left: 0;
    right: 0;
    height: 100%;
    width: 100%;
    background: rgba(255, 255, 255, 0.3);
    z-index: 1051;
    display: flex;
    align-items: center;
    justify-content: center;
}

.loader-box img {
    width: 60px;
}

.loader-box {
    position: relative;
    background: #007bff;
    padding: 20px;
    border-radius: 50%;
    width: 100px;
    height: 100px;
}

@keyframes example {
    0% {
        left: 0px;
        top: 0px;
        transform: scale(0);
    }

    25% {
        left: 20px;
        top: -20px;
        transform: scale(0.5);
    }

    50% {
        left: 0px;
        top: -40px;
        transform: scale(0.7);
    }

    75% {
        left: 20px;
        top: -60px;
        transform: scale(0.5);
    }

    100% {
        left: 0px;
        top: -80px;
        transform: scale(0);
    }
}

@keyframes example1 {
    0% {
        left: 0px;
        top: 0px;
        transform: scale(0);
    }

    25% {
        left: 10px;
        top: -20px;
        transform: scale(0.5);
    }

    50% {
        left: 0px;
        top: -40px;
        transform: scale(0.7);
    }

    75% {
        left: 20px;
        top: -60px;
        transform: scale(0.5);
    }

    100% {
        left: 0px;
        top: -80px;
        transform: scale(0);
    }
}

@keyframes example2 {
    0% {
        left: 0px;
        top: 0px;
        transform: scale(0);
    }

    25% {
        left: 30px;
        top: -20px;
        transform: scale(0.5);
    }

    50% {
        left: 0px;
        top: -40px;
        transform: scale(0.7);
    }

    75% {
        left: 20px;
        top: -60px;
        transform: scale(0.5);
    }

    100% {
        left: 0px;
        top: -80px;
        transform: scale(0);
    }
}

.PassShow {
    position: relative;
}

    .PassShow i {
        position: absolute;
        right: 15px;
        top: 10px;
    }

.canvaspencil {
    position: fixed;
    z-index: 3;
    width: 100%;
    height: 100%;
    left: 0;
    top: 0;
    opacity: 0.7;
}

button.canvasclosebutton {
    position: fixed;
    z-index: 3;
    right: 15px;
    top: 10px;
}

span.badge.badge-light {
    width: 100px;
    margin: 0 auto;
    box-shadow: 1px 1px 3px #000;
    font-weight: normal;
    padding: 3px;
    line-height: normal;
}

.App svg {
    display: inline-block;
    vertical-align: middle;
    cursor: pointer;
    width: 100%;
}

.mapLogin {
    display: flex;
    flex-wrap: wrap;
}

    .mapLogin .App {
        width: 60%;
        padding-top: 70px;
    }

.loginContainer.teacherLogin {
    width: 40%;
}

.mapHeading {
    padding-left: 15px;
}

.loginRightSection.loginTeacher {
    width: 60%;
}

.loginRightSection .group select {
    height: 38px;
    padding-left: 6px;
}

.loginSelectInner .wrapper {
    background: transparent;
}

.loginRightSection .css-6j8wv5-Input,
.loginRightSection .css-319lph-ValueContainer input {
    height: 35px;
}

*:focus {
    outline: none;
}

.mapLogin .App path:hover {
    opacity: 0.7;
}

/* 403 page */
.error404Container {
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 9;
    background: #fff;
    height: 100vh;
}

    .error404Container h2 {
        color: #fff;
        font-size: 15em;
        position: absolute;
        transform: translate(-50%, -50%);
        left: 50%;
        top: 44%;
    }

        .error404Container h2:nth-child(1) {
            color: transparent;
            -webkit-text-stroke: 2px #00076c;
        }

        .error404Container h2:nth-child(2) {
            color: #0084f7;
            animation: animate 4s ease-in-out infinite;
        }

button.backToHome {
    position: absolute;
    bottom: 5%;
}

.error404Container .logo {
    position: absolute;
    top: 0;
}

.Forbidden {
    font-size: 74px;
    margin-top: 155px;
    color: #4cb0ff;
}

@keyframes animate {
    0%, 100% {
        clip-path: polygon( 0% 45%, 16% 44%, 33% 50%, 54% 60%, 70% 61%, 84% 59%, 100% 52%, 100% 100%, 0% 100% );
    }

    50% {
        clip-path: polygon( 0% 60%, 15% 65%, 34% 66%, 51% 62%, 67% 50%, 84% 45%, 100% 46%, 100% 100%, 0% 100% );
    }
}


/* 403 page */

@media (min-width: 1650px) {
    body .sec-heading.loginContainer {
        min-height: calc(100vh - 100px);
    }
}

@media (max-width: 990px) {
    .blade {
        bottom: 20px;
    }
}

@media (max-width: 767px) {
    .loginRightSection.loginTeacher {
        width: 100%;
    }

    .pageTitle {
        top: 70px;
    }

    .mapLogin .App,
    .loginContainer.teacherLogin {
        width: 100%;
    }

    .loginContainer.teacherLogin {
        padding-top: 10px;
    }
}

@media (max-width: 667px) {
    .loginLogo {
        min-width: 260px;
    }

    .sandContainer {
        bottom: inherit;
        background-color: #ecc493;
    }

    .blade {
        bottom: 0;
    }
}

@media (max-width: 400px) {
    .row.loginFooter .col-6 {
        -ms-flex: 0 0 100%;
        flex: 0 0 100%;
        max-width: 100%;
    }

        .row.loginFooter .col-6.text-right {
            text-align: left !important;
        }

    .pageTitle {
        font-size: 20px;
    }

    .loginLogo {
        min-width: 200px;
        top: -158px;
    }
}

@media (max-width: 380px) {
    .loginSelectInner ul.nav li {
        margin-right: 10px;
    }

    .loginSelectInner ul.nav {
        padding-left: 5px;
    }

    body .login .sec-heading {
        padding-left: 15px;
        padding-right: 15px;
    }
}

.LoaderContaint {
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 9;
    background: rgba(255, 254, 254, 0.4);
}

    .LoaderContaint h2 {
        color: #fff;
        font-size: 5em;
        position: absolute;
        transform: translate(-50%, -50%);
        left: 50%;
        top: 50%;
    }

        .LoaderContaint h2:nth-child(1) {
            color: transparent;
            -webkit-text-stroke: 2px #00076c;
        }

        .LoaderContaint h2:nth-child(2) {
            color: #0084f7;
            animation: animate 4s ease-in-out infinite;
        }

@keyframes animate {
    0%, 100% {
        clip-path: polygon( 0% 45%, 16% 44%, 33% 50%, 54% 60%, 70% 61%, 84% 59%, 100% 52%, 100% 100%, 0% 100% );
    }

    50% {
        clip-path: polygon( 0% 60%, 15% 65%, 34% 66%, 51% 62%, 67% 50%, 84% 45%, 100% 46%, 100% 100%, 0% 100% );
    }
}

.loginRightSection .group select {
    height: 38px !important;
    padding-left: 6px !important;
    display: block;
    border: 1px solid #ddd !important;
    border-radius: 5px !important;
    width: 100% !important;
}

.select2-container--default .select2-selection--single {
    background-color: #fff;
    border: 1px solid #ddd;
    border-radius: 4px;
    height: 38px;
    padding-top: 3px;
}

    .select2-container--default .select2-selection--single .select2-selection__arrow {
        height: 26px;
        position: absolute;
        top: 6px;
        right: 4px;
        width: 20px;
    }
